org.apache.http.protocol

## Class RequestContent

- java.lang.Object
- - org.apache.http.protocol.RequestContent

- All Implemented Interfaces:
    HttpRequestInterceptor

      @Immutable
      public class RequestContent
      extends Object
      implements HttpRequestInterceptor

  RequestContent is the most important interceptor for outgoing requests. It is responsible for delimiting content length by adding `Content-Length` or `Transfer-Content` headers based on the properties of the enclosed entity and the protocol version. This interceptor is required for correct functioning of client side protocol processors.
  Since:
    4.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestContent()` Default constructor.
    `RequestContent(boolean overwrite)` Constructor that can be used to fine-tune behavior of this interceptor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `process(HttpRequest request, HttpContext context)` Processes a request.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RequestContent

          public RequestContent()

      Default constructor. The `Content-Length` or `Transfer-Encoding` will cause the interceptor to throw `ProtocolException` if already present in the response message.

    - #### RequestContent

          public RequestContent(boolean overwrite)

      Constructor that can be used to fine-tune behavior of this interceptor.
      Parameters:
        `overwrite` - If set to `true` the `Content-Length` and `Transfer-Encoding` headers will be created or updated if already present. If set to `false` the `Content-Length` and `Transfer-Encoding` headers will cause the interceptor to throw `ProtocolException` if already present in the response message.
      Since:
        4.2

  - ### Method Detail

    - #### process

          public void process(HttpRequest request,
                     HttpContext context)
                       throws HttpException,
                              IOException

      Description copied from interface: `HttpRequestInterceptor`
      Processes a request. On the client side, this step is performed before the request is sent to the server. On the server side, this step is performed on incoming messages before the message body is evaluated.
      Specified by:
        `process` in interface `HttpRequestInterceptor`
      Parameters:
        `request` - the request to preprocess
        `context` - the context for the request
      Throws:
        `HttpException` - in case of an HTTP protocol violation
        `IOException` - in case of an I/O error

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.